<template>
  <div class="share-qrcode-view">
    <qrcode-vue :value="link" :size="200"></qrcode-vue>
  </div>
</template>

<script setup lang="ts">
import QrcodeVue from 'qrcode.vue';
import { useLifeRechargeContext } from '@life-payment/core-vue';
import { computed } from 'vue';

defineOptions({
  name: 'ShareQrcodeView',
});

const { blLifeRecharge } = useLifeRechargeContext();

const link = computed(
  () => `${CLIENT_ORIGIN}?channelId=${blLifeRecharge.accountModel.channlesNum}`
);
</script>
